Connector Versions
List Connector Versions
ListConnectorVersions returns a page of ConnectorVersions ordered by most recently updated first. Customising the sort behaviour is not currently supported but may be added in the future. Similarly with filtering, this will be implemented in a future release.
GET
/
o
/
{organisation_id}
/
connectors
/
{connector_id}
/
versions
List Connector Versions
curl --request GET \
--url https://platform.versori.com/api/connect/v1/o/{organisation_id}/connectors/{connector_id}/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.versori.com/api/connect/v1/o/{organisation_id}/connectors/{connector_id}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.versori.com/api/connect/v1/o/{organisation_id}/connectors/{connector_id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.versori.com/api/connect/v1/o/{organisation_id}/connectors/{connector_id}/versions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.versori.com/api/connect/v1/o/{organisation_id}/connectors/{connector_id}/versions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://platform.versori.com/api/connect/v1/o/{organisation_id}/connectors/{connector_id}/versions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.versori.com/api/connect/v1/o/{organisation_id}/connectors/{connector_id}/versions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"totalCount": 123,
"items": [
{
"id": "<string>",
"name": "<string>",
"isLatest": true,
"isDefault": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"publishedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"messages": [
{
"text": "<string>",
"severity": "info",
"detail": [
"<string>"
]
}
]
}
],
"next": "<string>",
"prev": "<string>"
}{
"code": "<string>",
"message": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": "<string>"
}Authorizations
bearerTokencookie
Path Parameters
⌘I
List Connector Versions
curl --request GET \
--url https://platform.versori.com/api/connect/v1/o/{organisation_id}/connectors/{connector_id}/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.versori.com/api/connect/v1/o/{organisation_id}/connectors/{connector_id}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.versori.com/api/connect/v1/o/{organisation_id}/connectors/{connector_id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.versori.com/api/connect/v1/o/{organisation_id}/connectors/{connector_id}/versions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.versori.com/api/connect/v1/o/{organisation_id}/connectors/{connector_id}/versions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://platform.versori.com/api/connect/v1/o/{organisation_id}/connectors/{connector_id}/versions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.versori.com/api/connect/v1/o/{organisation_id}/connectors/{connector_id}/versions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"totalCount": 123,
"items": [
{
"id": "<string>",
"name": "<string>",
"isLatest": true,
"isDefault": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"publishedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"messages": [
{
"text": "<string>",
"severity": "info",
"detail": [
"<string>"
]
}
]
}
],
"next": "<string>",
"prev": "<string>"
}{
"code": "<string>",
"message": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": "<string>"
}